package org.openscm.kundo.plugins

/*
 * Copyright (C) 2008 The Ultimate People Company Ltd ("UPCO").
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.openscm.kundo.plugins.context.BuildContext

/**
 * Test Resource Delegate
 * @author <a href="mailto:nigel.garner@upco.co.uk">Nigel Garner</a>
 * @version 1.0.0
 * 
 * Description: A Test Resources Delegate to manage the resource files specified in the project metadata.
 * 
 * <p>The test resource delegate consumes data set by the kundo-project-plugin and uses each resource set. The delegate 
 * copies the files from the specified dir to the appropriate output dir, applying any include/exclude filters in the process.</p>
 */
/* 
 * @ant-target doTestResources
 */
class TestResourceDelegate extends AbstractResourceDelegate {
	/**
	 * Constructor sets ant and buildContext instances in super class
	 * @param ant			AntBuilder instance
	 * @param buildContext	BuildContext instance
	 */
	TestResourceDelegate( AntBuilder ant, BuildContext buildContext ){
		super( ant, buildContext)
	}
}